<?php
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

session_name('portal_absa');
session_start();
require_once "conexion/conectar.php";

$conexion = new CONDB();
$conexion->conectar();

include "regresaSucursalesAdicional.php";
	$rfcReceptor=$_POST["reloadGridAfterSave"];
	$rfcEmisor=$_POST["id"];
	$tipoDocto=$_POST["id2"];
	$serie=$_POST["id3"];
	$folio=$_POST["id4"];
	$uuid=$_POST["id5"];
	$comentario_contabilidad="";
	$comentario_compras="";
	$seguimiento="";
	$fecha_pago="";
	
if(isset($_POST["id"]))
{
		$query="Select tipo_proveedor,dias_pago from clienteweb where rfc_cliente='$rfcEmisor' LIMIT 1";
		
		$rquery=mysqli_query($conexion->CONEXION,$query);
		
		if(mysqli_num_rows($rquery) > 0){
			$temp= mysqli_fetch_array($rquery,MYSQLI_ASSOC);
			$tipo_proveedor=$temp['tipo_proveedor'];
			$dias_pago=$temp['dias_pago'];
		}
		if(!is_numeric($dias_pago)){
			$dias_pago="0";
		}
	
	$query="Select DATE_ADD(fechaDocto, INTERVAL $dias_pago DAY) as fecha_pago_calc,fecha_pago,fechaDocto,tipo_documento,adicional,comentario_compras,comentario_contabilidad,seguimiento from recibedoce where rfcEmisor='$rfcEmisor' and tipoDocto='$tipoDocto' and serie='$serie' and folio='$folio' and uuid='$uuid' LIMIT 1";
	
	
	$rquery=mysqli_query($conexion->CONEXION,$query);
	
	
	if(mysqli_num_rows($rquery) > 0){
		$temp=mysqli_fetch_array($rquery,MYSQLI_ASSOC);
		$adicional=$temp['adicional'];
		$comentario_compras=$temp['comentario_compras'];
		$comentario_contabilidad=$temp['comentario_contabilidad'];
		$seguimiento=$temp['seguimiento'];
		$tipo_documento=$temp['tipo_documento'];
		$fecha_pago=$temp['fecha_pago'];
		$fechaDocto=$temp['fechaDocto'];
		if(is_null($fecha_pago) || trim($fecha_pago) == "0000-00-00"){
			$fecha_pago=$temp['fecha_pago_calc'];
		}
	}
	
	if(trim($tipo_documento) == ""){
		$tipo_documento=$tipo_proveedor;
	}
	
	$query="Select adicional from tdoctos_r t, receptor r where r.idReceptor=t.idReceptor and r.rfc='$rfcReceptor' and t.tipoDocto='$tipoDocto' LIMIT 1";
	
	
	$rquery=mysqli_query($conexion->CONEXION,$query);
	
	if(mysqli_num_rows($rquery) > 0){$temp2=mysqli_fetch_array($rquery,MYSQLI_ASSOC); $lblAdicional=$temp2['adicional'];}
	
	$query="Select seguimiento from seguimiento_negocio";
	
	
	$rqueryS=mysqli_query($conexion->CONEXION,$query);
	
	
	
}
?>
<script language="javascript" src="libs/Vanadium/vanadium.js"></script>
<script>
$j_6(document).ready(function() {
	$j_6('#loading').hide();
    $j_6().ajaxStart(function() {
        $j_6('#loading').show();
        $j_6('#result').hide();
    }).ajaxStop(function() {
        $j_6('#result').fadeIn('slow');
		$j_6('#loading').hide();
    });
	
	$j_6('#form, #fat, #formAdicional').submit(function() {
        $j_6.ajax({
            type: 'POST',
            url: $j_6(this).attr('action'),
            data: $j_6(this).serialize(),
            success: function(data) {
					$j_6('#result').html(data);
					$j_6('#loading').hide();
            }
        })
        
        return false;
    });
   
});
function maximo(campo,limite){
if(campo.value.length>=limite){
campo.value=campo.value.substring(0,limite);
 }
}

function pulsar(e) {
  tecla = (document.all) ? e.keyCode : e.which;
  return (tecla != 13);
}
</script>
<!--<table>
		<tr>
		<td valign="top" class="txt_logindat" width="800" height="20"><div id="result"></div></td>
		</tr>
</table>-->
<!--        <form target="_self" action="guardaAdicional.php" method="post" name="formAdicional" id="formAdicional" onkeypress = "return pulsar(event)">
			<INPUT TYPE="hidden" NAME="rfcEmisor" id="rfcEmisor" value="<?=$rfcEmisor?>">
			<INPUT TYPE="hidden" NAME="tipoDocto" id="tipoDocto" value="<?=$tipoDocto?>">
			<INPUT TYPE="hidden" NAME="serie" id="serie" value="<?=$serie?>">
			<INPUT TYPE="hidden" NAME="folio" id="folio" value="<?=$folio?>">
			<INPUT TYPE="hidden" NAME="uuid" id="uuid" value="<?=$uuid?>">-->
			<table class="td_general" bgcolor="#FFFFFF">
				<tr>
					<td valign="top" class="txt_logindat" align="center">COMENTARIO COMPRAS:</td>
					<td valign="top" class="txt_logindat">
						<textarea  readOnly="true" class="Logers" cols="60" rows="6" id="comentario_compras" name="comentario_compras"><?=$comentario_compras?></textarea>
					</td>
				</tr>
				<tr>
					<td valign="top" class="txt_logindat" align="center">COMENTARIO CONTABILIDAD:</td>
					<td valign="top" class="txt_logindat">
						<textarea  class="Logers" readOnly="true" cols="60" rows="6" id="comentario_contabilidad" name="comentario_contabilidad"><?=$comentario_contabilidad?></textarea>
					</td>
				</tr>
				
<!--				<tr>
					<td>
                                            <input type="submit" class="estilo_btn" value="GUARDAR"/>
					</td>
				</tr>-->
			</table>
        <!--</form>-->